Passa al contenuto principale

OrderRowResponse

Successful response with one OrderRow

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Row of an order: a service of a purchase, with its price

order_row_idintegerrequired
order_idintegerrequired

Id of the order (GET /api/v3/orders/{order_id})

serviceinteger | nullnullablerequired

Id of the service ordered (service_id of Service)

purchaseinteger | nullnullablerequired

Id of the purchase (GET /api/v3/purchases/{purchase_id})

recurrenceinteger | nullnullablerequired

Id of the recurrence, the billing period of the row (recurrence_id of Recurrence)

price objectrequired

Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise

amountfloatnullablerequired

Taxable amount

currencystringrequired

Currency code: always EUR

tax_ratefloatnullablerequired

VAT rate as a fraction, for example 0.22 for 22%

taxfloatnullablerequired

VAT (tax) amount

totalfloatnullablerequired

Total amount

base_price objectrequired

Amount in euros: the taxable amount and, when computed with a tax regime, the VAT rate, the VAT and the total, which are null otherwise

amountfloatnullablerequired

Taxable amount

currencystringrequired

Currency code: always EUR

tax_ratefloatnullablerequired

VAT rate as a fraction, for example 0.22 for 22%

taxfloatnullablerequired

VAT (tax) amount

totalfloatnullablerequired

Total amount

metarequired

Always null: only the paginated lists have a meta

Constant value: null
OrderRowResponse
{
"error": 0,
"message": "string",
"data": {
"order_row_id": 0,
"order_id": 0,
"service": 0,
"purchase": 0,
"recurrence": 0,
"price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
},
"base_price": {
"amount": 0,
"currency": "string",
"tax_rate": 0,
"tax": 0,
"total": 0
}
}
}